Bug 987395 - Review Request: gwebsockets - GLib based websockets server
Review Request: gwebsockets - GLib based websockets server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 06:44 EDT by Peter Robinson
Modified: 2013-08-23 05:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 05:50:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-07-23 06:44:22 EDT
SPEC: http://pbrobinson.fedorapeople.org/gwebsockets.spec
SRPM: http://pbrobinson.fedorapeople.org/gwebsockets-0.2-1.fc19.src.rpm

Description: 
A websocket server written in python. It uses GIO for network 
communication and hence it easily integrates with the GLib mainloop.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5643557
Comment 1 Christopher Meng 2013-07-23 21:12:38 EDT
Ah...

Can you tell me why not python-gwebsockets?

Thanks.
Comment 2 Peter Robinson 2013-07-24 01:43:56 EDT
> Can you tell me why not python-gwebsockets?

Because of the upstream package name
Comment 3 Christopher Meng 2013-07-24 21:55:02 EDT
No test. Test requires autobahn module, which is not packaged.

I can't find a reason why not running a test.
Comment 4 Peter Robinson 2013-08-04 04:57:17 EDT
I'm unsure what info you need from me?
Comment 5 Christopher Meng 2013-08-04 05:43:12 EDT
(In reply to Peter Robinson from comment #4)
> I'm unsure what info you need from me?

Ok. 

Question: Is there a reason to disable tests a.k.a. %check section?
Comment 6 Peter Robinson 2013-08-04 19:20:09 EDT
(In reply to Christopher Meng from comment #3)
> No test. Test requires autobahn module, which is not packaged.
> 
> I can't find a reason why not running a test.

You answer the question yourself. autobahn isn't packaged
Comment 7 Christopher Meng 2013-08-04 22:51:41 EDT
OK.

I intend to add depends of that review request later, but unfortunately that module has bundled library.

So approved.

When autobahn is ready, please try adding check to see if it can works.

Thanks.
Comment 8 Peter Robinson 2013-08-05 03:09:58 EDT
> So approved.

Thanks

> When autobahn is ready, please try adding check to see if it can works.

Do you happen to have a BZ # for the review request so I can track it?

New Package GIT Request
=======================
Package Name: gwebsockets
Short Description: GLib based websockets server
Owners: pbrobinson erikos
Branches: F-19 F-18
InitialCC:
Comment 9 Christopher Meng 2013-08-05 03:12:20 EDT
(In reply to Peter Robinson from comment #8)

Later when upstream decide to remove bundled code.

It seems that a bundled pbkdf2 py is in the autobahn.

I will notify you ASAP, don't worry.
Comment 10 Gwyn Ciesla 2013-08-05 08:23:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.